Bug 488620 - Thinkpad T61: Sound volume hardware buttons not working
Thinkpad T61: Sound volume hardware buttons not working
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-settings-daemon (Show other bugs)
10
i386 Linux
low Severity low
: ---
: ---
Assigned To: Bastien Nocera
Fedora Extras Quality Assurance
: Reopened, Triaged
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-04 18:14 EST by Andre Klapper
Modified: 2009-12-18 03:57 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 03:57:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Andre Klapper 2009-03-04 18:14:17 EST
Description of problem:
Sound volume hardware buttons do not work in GNOME after log in.

How reproducible:
The last 4 times I've booted this machine.

Steps to Reproduce:
1. Boot the Lenovo Thinkpad T61.
2. Log into up-to-date Fedora 10 GNOME.
3. Use the sound volume hardware buttons of the machine.
  
Actual results:
Not working. No on-screen-display of the volume level.

Expected results:
Working. On-screen-display of the volume level.

Additional info:
The volume applet in the panel works.

Workaround: I go to  System > Prefs > Hardware > Audio.
I disable and enable "Play sounds and alarm sounds".
Now the sound volume hardware buttons work and I get the on-screen-display of the volume level.
Comment 1 Bastien Nocera 2009-03-04 18:20:51 EST
You should know better than using the "gnome-audio" module Andre...

Anyway, it's a kernel bug.

*** This bug has been marked as a duplicate of bug 321421 ***
Comment 2 Andre Klapper 2009-03-04 18:31:41 EST
no time to read through red hat's list of 150 subcomponents, maybe next time...
Comment 3 Bastien Nocera 2009-03-04 19:16:34 EST
Never mind, didn't read the work-around properly.

FWIW, the components are the package names, and they usually match upstream.
Comment 4 Paul Cutler 2009-08-15 14:41:42 EDT
On Fedora 11, on a Lenovo Thinkpad T61, I can confirm that the volume buttons do work now
Comment 5 Bug Zapper 2009-11-18 07:47:15 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-12-18 03:57:08 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.